Skip to Content
Blockhash Docs
API referenceTokens
POST
/v1/tokens/resolve

The token rows for up to 600 addresses at once, such as a wallet's holdings. An address that is no known token is left out.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/tokens/resolve" \  -H "Content-Type: application/json" \  -d '{    "addresses": [      "string"    ]  }'
{  "count": 0,  "source": "indexer",  "tokens": [    {      "address": "string",      "symbol": "string",      "name": "string",      "decimals": 0,      "isStock": true,      "tier": 0,      "impersonator": true,      "price": 0,      "change24h": 0,      "liquidityUsd": 0,      "depthUsd": 0,      "volume24h": 0,      "trades24h": 0,      "pools24h": 0,      "pools": 0,      "priceConfidence": "string",      "priceDepthUsd": 0,      "firstBlock": 0,      "firstSeen": 0,      "marketCapUsd": 0,      "imageUrl": "string",      "book": {        "factory": "string",        "abiSet": "books",        "label": "string",        "bookId": "string",        "vault": "string",        "phase": "waiting",        "step": "arm",        "flags": {          "pastWindow": true,          "graduatable": true,          "feedStale": true        },        "quote": "string",        "raise": {          "raisedQuote": "string",          "taxBpsNow": 0        },        "unlockAt": 0,        "settledAt": 0,        "backingPerTokenWei": "string",        "displayName": "string",        "nftMarket": {          "nft": "string",          "tokensPerNft": "string"        }      }    }  ]}